Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

weechat-git: Bumped to version 0.4.1-dev

Switched to cmake build since weechat is moving
away from autoconf.
  • Loading branch information...
commit da3cc48bb7cedadbb3e163d53a0f257b719f2553 1 parent 2a0f881
Stefan Wold Ratler authored
20 zbeta/weechat-git/BUILD
View
@@ -1,19 +1,3 @@
-(
-# This hack suggest by ptitlouis from #weechat for building on a box with no gtk+-2 available
- if ! module_installed gtk+-2; then
- sedit 's/\(.*AM_PATH_GTK.*\)/#\1/' configure.in
- fi &&
- ./autogen.sh --build=$BUILD \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --infodir=/usr/share/info \
- --mandir=/usr/share/man \
- --disable-nls \
- $OPTS &&
- default_build &&
- cd /usr/bin &&
- ln -sf weechat-curses weechat &&
- gather_docs UPGRADE_0.3
-) > $C_FIFO 2>&1
+default_cmake_build &&
+ln -sf weechat-curses /usr/bin/weechat
1  zbeta/weechat-git/CONFLICTS
View
@@ -1,2 +1 @@
conflicts weechat
-conflicts weechat-cvs
17 zbeta/weechat-git/DEPENDS
View
@@ -1,8 +1,11 @@
depends ncurses
-depends gnutls
-optional_depends "perl" "--enable-perl" "--disable-perl" "to compile the perl plugin"
-optional_depends "Python" "--enable-python" "--disable-python" "to compile the Python plugin"
-optional_depends "lua" "--enable-lua" "--disable-lua" "to compile the lua plugin"
-optional_depends "ruby" "--enable-ruby" "--disable-ruby" "to compile the ruby plugin"
-optional_depends "tcl" "--enable-tcl" "--disable-tcl" "to compile the tcl plugin"
-optional_depends "guile" "--enable-guile" "--disable-guile" "to compile the guile plugin"
+depends cmake
+
+optional_depends "perl" "-DENABLE_PERL=ON" "-DENABLE_PERL=OFF" "to compile the perl plugin"
+optional_depends "Python" "-DENABLE_PYTHON=ON" "-DENABLE_PYTHON=OFF" "to compile the Python plugin"
+optional_depends "lua" "-DENABLE_LUA=ON" "-DENABLE_LUA=OFF" "to compile the lua plugin"
+optional_depends "ruby" "-DENABLE_RUBY=ON" "-DENABLE_RUBY=OFF" "to compile the ruby plugin"
+optional_depends "tcl" "-DENABLE_TCL=ON" "-DENABLE_TCL=OFF" "to compile the tcl plugin"
+optional_depends "guile" "-DENABLE_GUILE=ON" "-DENABLE_GUILE=OFF" "to compile the guile plugin"
+optional_depends "aspell" "-DENABLE_ASPELL=ON" "-DENABLE_ASPELL=OFF" "for spelling support"
+optional_depends "gnutls" "-DENABLE_GNUTLS=ON" "-DENABLE_GNUTLS=OFF" "for TLS encryption support"
2  zbeta/weechat-git/DETAILS
View
@@ -1,5 +1,5 @@
MODULE=weechat-git
- VERSION=0.3.8
+ VERSION=0.4.1-dev
SOURCE=${MODULE}-${VERSION}.tar.bz2
SOURCE_URL=git://git.sv.gnu.org/weechat.git
WEB_SITE=http://weechat.org/
Please sign in to comment.
Something went wrong with that request. Please try again.